package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.base.Town;
import com.dev.swms.server.model.base.TransSite;
import com.dev.energy.server.service.BaseManager;

@Transactional(readOnly = true)
public interface RouteInfoManager extends BaseManager {
	/**
	 * @Description：城市信息维护
	 * @param town
	 */
	@Transactional
	void storeTown(Town town);
	
	/**
	 * @Description：城市信失效
	 * @param town
	 */
	@Transactional
	void disabledTown(List<Long> ids);
	
	/**
	 * @Description：城市信息恢复
	 * @param town
	 */
	@Transactional
	void reUseTown(List<Long> ids);
	
	/**
	 * @Description：运输地信息维护
	 * @param transSite
	 */
	@Transactional
	void storeTransSite(TransSite transSite);
	
	/**
	 * @Description：运输地信息失效
	 * @param transSite
	 */
	@Transactional
	void disabledTransSite(List<Long> ids);
	
	/**
	 * @Description：运输地信息恢复
	 * @param transSite
	 */
	@Transactional
	void reUseTransSite(List<Long> ids);
}
